API referenceConnections
Disconnect from an MCP server
DELETE
bearerheader
AuthorizationBearer <token>An API token
server*stringA per-person MCP server
Disconnected
application/json- response
ok*unknowncurl -X DELETE 'http://127.0.0.1:7777/connections/mcp/linear'Example Response
{ "ok": true}Begin connecting your account to an MCP server with OAuth POST
For a server that connects with OAuth. Answers the authorization URL to open in a browser signed in to Pistis as you; the flow expires in ten minutes. A server that takes a pasted token answers 400.
Connect your account to an MCP server with a pasted token PUT
For a server that takes a pasted token (one that connects with OAuth answers 400). The token is kept in the secret store and never shown again.